function skill074(j)  --è¦ Íòéä 3´Î

if j==1 then 

mmp=player.GetMP(2,0)
mpp=player.GetMP(2,1)/100

end

ca=battle.GetRndNumber(-5,5)/100
dm=((mmp*mpp)*(player.GetLevel(2)/10)*(1+ca))/2

for se=1,7,1 do
if battle.CheckNpcPlace(se)==0 then
	local tid=battle.GetPlaceNpcID(se)
          npc.ChangeHP(0,0,tid,-dm*2.3)
end
end

if j==2 then

player.ChangeMP(1,0,2,-player.GetMP(2,1))

xiahp=player.GetHP(2,1)
xiah0p=player.GetHP(2,0)

if xiahp>100 then xiahp=100 end
	
if xiahp>20 then
player.ChangeHP(1,0,2,-(xiahp-20))
elseif xiah0p>10 then
player.ChangeHP(0,0,2,-10)
end

end

if j==3 then

player.AddStat(0,2,9000,5,10)

end


end